OpenVDB 7.0.0

Public Types | Static Public Member Functions | List of all members
GridOrTreeConstructor< Grid< TreeType > > Struct Template Reference

`#include <Composite.h>`

## Public Types
using | GridType = Grid< TreeType >
using | GridTypePtr = typename Grid< TreeType >::Ptr
using | TreeTypePtr = typename TreeType::Ptr

## Static Public Member Functions
static GridTypePtr | construct (const GridType &grid, TreeTypePtr &tree)

## Member Typedef Documentation

## ◆ GridType

using GridType = Grid<TreeType>

## ◆ GridTypePtr

using GridTypePtr = typename Grid<TreeType>::Ptr

## ◆ TreeTypePtr

using TreeTypePtr = typename TreeType::Ptr

## Member Function Documentation

## ◆ construct()

static GridTypePtr construct | ( | const GridType & | grid,
|  | TreeTypePtr & | tree
| ) |  |
| inline static

The documentation for this struct was generated from the following file:

- Composite.h